Subject: [AVT] Open issues in the RAMS draft

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Mon, 27 Jul 2009 04:27:35 -0700

Hi everyone,

Aside from the port mapping, we have the following open issues in the RAMS draft and would like to get the WG feedback before the next revision.

1- Removing the S bit from the RAMS-I message. The support for the updated request/response mechanism will be conveyed out of band. We will provide the SDP attribute for this in the draft.

2- Extending the "Response" field in the RAMS-I message to 16 bits (swallowing the S bit and Rsvd. bits) to be able to indicate more detailed response codes (app/vendor/generic codes)

3- Using SIP/HTTP-like response codes (maintained by IANA) 

4- Recommendation on sending a Sender Report with RAMS-I message (to provide faster timing synchronization and a way to indicate the extended seqnums)

5- Using extended seqnums in the RAMS messages (RAMS-I and RAMS-T as well as the MA-XR report). Or, should we stick with the regular seqnums?

Please provide your input. We will take these into consideration and (try to) complete the missing sections before the next revision. We will be sending the proposed text to the list for comments before posting the draft. We will also make clarifications for the buffer req TLVs in the RAMS-R message. 

Thanks.
-acbegen